Summary:        Thin layer of types for graphic libraries
Name:           graphene
Version:        1.10.6
Release:        3%{?dist}
License:        MIT
URL:            https://github.com/ebassi/graphene
Source0:        %{url}/releases/download/%{version}/%{name}-%{version}.tar.xz
Patch0001:      graphene-1.10.6-perf-aarch64.patch
Patch0002:      graphene-1.10.6-perf.patch

BuildRequires:  gcc meson >= 0.50.1
BuildRequires:  gobject-introspection-devel
BuildRequires:  pkgconfig(gobject-2.0) >= 2.30.0

%description
Graphene provides a small set of mathematical types needed to implement graphic
libraries that deal with 2D and 3D transformations and projections.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        tests
Summary:        Tests for the %{name} package
Requires:       %{name} = %{version}-%{release}

%description    tests
The %{name}-tests package contains tests that can be used to verify
the functionality of the installed %{name} package.

%prep
%autosetup -p1

%build
%meson -Dgtk_doc=false
%meson_build

%install
%meson_install

%check
%meson_test

%files
%license LICENSE.txt
%doc README.md
%{_libdir}/girepository-1.0/
%{_libdir}/libgraphene-1.0.so.0*

%files devel
%{_includedir}/graphene-1.0/
%dir %{_libdir}/graphene-1.0
%{_libdir}/graphene-1.0/include/
%{_libdir}/libgraphene-1.0.so
%{_libdir}/pkgconfig/graphene-1.0.pc
%{_libdir}/pkgconfig/graphene-gobject-1.0.pc
%{_datadir}/gir-1.0/

%files tests
%{_libexecdir}/installed-tests/
%{_datadir}/installed-tests/

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.10.6-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.10.6-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Nov 22 2022 Xiaojie Chen <jackxjchen@tencent.com> - 1.10.6-1
- Initial build
